abis_rsl_cchan_hdr Struct Reference
A-bis RSL

`#include <gsm_08_58.h>`

## Data Fields

struct abis_rsl_common_hdr | c
uint8_t | ie_chan
| RSL_IE_CHAN_NR (tag) More...
uint8_t | chan_nr
| RSL channel number (value) More...
uint8_t | data [0]
| message payload data More...

## Field Documentation

## c

struct abis_rsl_common_hdr abis_rsl_cchan_hdr::c

Referenced by rsl_init_cchan_hdr(), and rslms_rx_com_chan().

## chan_nr

uint8_t abis_rsl_cchan_hdr::chan_nr

RSL channel number (value)

Referenced by l2_ph_chan_conf(), and l2_ph_rach_ind().

## data

uint8_t abis_rsl_cchan_hdr::data[0]

message payload data

Referenced by l2_ph_chan_conf(), and rslms_rx_chan_rqd().

## ie_chan

uint8_t abis_rsl_cchan_hdr::ie_chan

RSL_IE_CHAN_NR (tag)

Referenced by rsl_init_cchan_hdr().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_58.h